Bug 106723 - Styling disappears from the cue that's being styled by ::cue pseudo element
Summary: Styling disappears from the cue that's being styled by ::cue pseudo element
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dima Gorbik
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-01-11 18:20 PST by Dima Gorbik
Modified: 2013-01-14 15:38 PST (History)
8 users (show)

See Also:


Attachments
Proposed fix 0.1 (12.87 KB, patch)
2013-01-12 20:12 PST, Dima Gorbik
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Gorbik 2013-01-11 18:20:42 PST
When the cue is first shown it's styled correctly, but then (in few fractions of a second) it reverts to the display of the the cue like it had no styles.
Comment 1 Dima Gorbik 2013-01-12 20:12:46 PST
Created attachment 182479 [details]
Proposed fix 0.1
Comment 2 Radar WebKit Bug Importer 2013-01-12 22:55:47 PST
<rdar://problem/13004246>
Comment 3 Antti Koivisto 2013-01-13 03:52:42 PST
Comment on attachment 182479 [details]
Proposed fix 0.1

View in context: https://bugs.webkit.org/attachment.cgi?id=182479&action=review

> Source/WebCore/html/track/TextTrackCue.cpp:661
> +void TextTrackCue::markFutureAndPastNodes(Node* root, double previousTimestamp, double movieTime)

Could still be ContainerNode
Comment 4 Dima Gorbik 2013-01-13 03:55:44 PST
(In reply to comment #3)
> (From update of attachment 182479 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=182479&action=review
> 
> > Source/WebCore/html/track/TextTrackCue.cpp:661
> > +void TextTrackCue::markFutureAndPastNodes(Node* root, double previousTimestamp, double movieTime)
> 
> Could still be ContainerNode

I will tighten this with the next patch.
Thanks for a review!
Comment 5 WebKit Review Bot 2013-01-13 04:26:47 PST
Comment on attachment 182479 [details]
Proposed fix 0.1

Clearing flags on attachment: 182479

Committed r139562: <http://trac.webkit.org/changeset/139562>
Comment 6 WebKit Review Bot 2013-01-13 04:26:50 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Ryosuke Niwa 2013-01-14 12:17:44 PST
It appears that this test has been failing on WK2 bots since it was initially added:
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=media%2Ftrack%2Ftrack-css-cue-lifetime.html
Comment 8 Ryosuke Niwa 2013-01-14 12:18:11 PST
I guess not necessarily on all WK2 bots but some.
Comment 9 Dima Gorbik 2013-01-14 15:38:39 PST
(In reply to comment #7)
> It appears that this test has been failing on WK2 bots since it was initially added:
> http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=media%2Ftrack%2Ftrack-css-cue-lifetime.html

Looks like this is happening because video seeking is much slower in WK2 for some reason.